cd "C:\Users\teohhongken\Desktop\Summer2014\Research\DieboldResearch\EViews_Others\Eviews_NYSE"

'create workfile for NYSE
wfcreate(wf="WorkFileNYSE") u 4000

read DataNYSE.csv r

smpl 1 3461

genr r2 = r^2

freeze(Figure141) r.line
Figure141.addtext(t) Figure 14.1 Time Series Plot NYSE Returns
Figure141.addtext(l) Return
Figure141.addtext(b) Time
Figure141.scale(left) range(-.08,.06)
Figure141.datelabel format(yy)
Figure141.legend -display
Figure141.setelem symbol(none)
Figure141.options -color
Figure141.axis(a) label
Figure141.setelem(1) linepattern(1)

freeze(Figure142) r.hist
Figure142.addtext(t) Figure 14.2 Histogram and Related Diagnostic Statistics NYSE Returns
Figure142.addtext(l) Count
Figure142.addtext(b) Return
Figure142.scale(left) range(0,1200)
Figure142.legend -display
Figure142.setelem symbol(none)
Figure142.options -color
Figure142.axis(a) label
Figure142.setelem(1) linepattern(1)

freeze(Figure143) r.correl

freeze(Figure144) r2.line
Figure144.addtext(t) Figure 14.4 Time Series Plot Squared NYSE Returns
Figure144.addtext(l) Squared Return
Figure144.addtext(b) Time
Figure144.scale(left) range(0,.005)
Figure144.datelabel format(yy)
Figure144.legend -display
Figure144.setelem symbol(none)
Figure144.options -color
Figure144.axis(a) label
Figure144.setelem(1) linepattern(1)

freeze(Figure145) r2.correl

equation r2ar5.ls r2 c r2(-1) r2(-2) r2(-3) r2(-4) r2(-5)

equation rarch5.arch(5,0, m=100) r c

freeze(Table141) r2ar5

freeze(Table142) rarch5

freeze(Figure146) rarch5.correl(30)

equation rgarch11.arch(1,1, m=100) r c

freeze(Table143) rgarch11

freeze(Figure147) rgarch11.correl(30)

rgarch11.makegarch ecvrgarch11
genr ecsdrgarch11 = (ecvrgarch11)^.5

freeze(Figure148) ecsdrgarch11.line
Figure148.addtext(t) Figure 14.8 Estimated Conditional Standard Deviation GARCH(1,1) Model NYSE Returns
Figure148.addtext(l) GARCH(1,1) Standard Deviation
Figure148.addtext(b) Time
Figure148.scale(left) range(0,.028)
Figure148.legend -display
Figure148.setelem symbol(none)
Figure148.options -color
Figure148.axis(a) label
Figure148.setelem(1) linepattern(1)

r2.smooth(s, .05) r2smooth
genr r2sqsmooth = (r2smooth)^.5

freeze(Figure149) r2sqsmooth.line
Figure149.addtext(t) Figure 14.9 Estimated Conditional Standard Deviation Exponential Smoothing NYSE Returns
Figure149.addtext(l) Smoothed Standard Deviation
Figure149.addtext(b) Time
Figure149.scale(left) range(0,.028)
Figure149.legend -display
Figure149.setelem symbol(none)
Figure149.options -color
Figure149.axis(a) label
Figure149.setelem(1) linepattern(1)

smpl 1 3461

genr history = ecsdrgarch11

' smpl 3462 4000
smpl 3461 4000

rgarch11.forecast yhat se vfcst

genr fcst = (vfcst)^.5

smpl 3300 3531

group fig1410 history fcst

freeze(Figure1410) fig1410.line
Figure1410.addtext(t) Figure 14.10 Conditional Standard Deviation History and Forecast GARCH(1,1) Model
Figure1410.addtext(l) History and Forecast
Figure1410.addtext(b) Time
Figure1410.scale(left) range(.006,.018)
Figure1410.legend -display
Figure1410.setelem symbol(none)
Figure1410.options -color
Figure1410.axis(a) label
Figure1410.setelem(1) linepattern(1)
Figure1410.setelem(2) linepattern(2)
Figure1410.draw(shade, bottom) 3462 3531

smpl 3000 4000

group fig1411 history fcst

freeze(Figure1411) fig1411.line
Figure1411.addtext(t) Figure 14.11 Conditional Standard Deviation Extended History and Extended Forecast GARCH(1,1) Model
Figure1411.addtext(l) History and Forecast
Figure1411.addtext(b) Time
Figure1411.scale(left) range(.004,.020)
Figure1411.legend -display
Figure1411.setelem symbol(none)
Figure1411.options -color
Figure1411.axis(a) label
Figure1411.setelem(1) linepattern(1)
Figure1411.setelem(2) linepattern(2)
Figure1411.draw(shade, bottom) 3462 4000

show Figure141
show Figure142
show Figure143
show Figure144
show Table141
show Table142
show Figure146
show Table143
show Figure147
show Figure148
show Figure149
show Figure1410
show Figure1411


